Could not create directory…WP upgrade failed

  • A+
Categories:Life Linux

Just now I wanted to create a new post, and found there was a newer version of WP, and also there was a message said that the update automatically failed already, so need a manual update.

Such thing never happened before, so I knew this issue should be related with the php-fpm user. I searched and found maybe the directory wp-content/upgrade should be writable by php-fpm user, so I did it. And got a new message said that the unpack was OK, but could not replace some files.

Suddenly I realized such thing never happened in the past, so maybe I should solve this issue in another way, like changing the owner of php-fpm service.

Next I changed the owner and group to ngnix, and restarted it again, then upgraded the WP again, and this time all things went well.

Comment

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: